about

ProgEdit - Prog DVB Channel Editor

about:

The programm is FREEWARE and was built from © Camel & DarkFritz
The last version is: ProgEdit v 1.118 from 23.01.2007.
You can get updates normally on www.progdvb.com under plugins section
For support you can reach us in the boards of the sites which are called above.
You'll find us also on special DVB-s boards ...
(like forum2.progdvb.com , www.dvbcube.org or dvbn.happysat.com)

Thanks to all users who helps making/testing this tool.


FAQ

FAQ:

Q: cannot start " Prog Edit" -> get error message (0xc0000135)
A: this is when you haven't correct/corrupted Frameworks installed
Solution: please install/reinstall .NET Framework 1.1 or higher

Q: I want to load a channel list. I get message - "file not found"
A: this is when the file isn't found or blocked/inaccessible
Solution: If the file which are you marked or which is in the "file text field" exist, then please look if another program have locked (handle) this file to the same time as Prog Edit. Then you have to wait until the other program don't use the file in the same time.

Q: I want to load a channel list. I get message - "{0} must not to be negative - parameter name: count"
A: click then on "continue" button - you'll see in the top right "header info – “Version: xxx".
If it is < as "Version 113" or "Version 114" then maybe it's an unsupported version of Prog DVB channel list

Q: How can i convert an old channel list (ProgDVB 4.53) to new version (ProgDVB 4.7x) ?
A:
1.) load any channels.dat from the new version 4.7x in ProgEdit
or make a brand new scan of one transponder with the bnew version
2.) then select a channel and note the infos of 3 special fields (middle button).
(This fields can different from other users, because this are infos about your hardware DVB-card)
This fields are: (values are from my system - so it is an example value)
a) Device Infos "SubID"
b) Device Infos "Type"
c) Device Infos "DllID"
d) MOD-QAM"
(this values you'll need later)
3.) load old channels.dat
4.) change in the right top windows ("header infos") there some things:
a) "Size" to 20
b) "Version" to 114
c) "Structure" to 876
5.) select all channels (middle left side you have an button) then activate fields:
The real values you must take from point 2 as i wrote ...
a) Device Infos "SubID" to your value which you seen on point-2 (ex: 16)
b) Device Infos "Type" to to your value which you seen on point-2 (ex: 2)
c) Device Infos "DllID" to your value which you seen on point-2 (ex: to "skysr1tt")
d) "QAM-PCR" to your value which you seen on point-2 (ex: to "2")
Then Press "Modify"
6.) Then save your file to your destination what you want

Q: How can i convert a new channel list (ProgDVB 4.7x) to old version (ProgDVB 4.53) ?
A:
1.) load the "channels.dat" from the new version 4.7x in ProgEdit
2.) change in the right top windows ("header infos") there some things:
a) "Size" to 20
b) "Version" to 113
c) "Structure" to 863 (863 for ProgDVB 4.53-4.56 / 868 for ProgDVB 4.6x)
3.) Then save your file to your destination what you want

Q: How can i convert an old channellist tree (ProgDVB 4.53-4.6x) to new version (ProgDVB 4.7x) ?
A:
1.) load the "channels.dat" from the new version 4.7x in ProgEdit
2.) then switch to Mode:"Channel list tree" and load the channellist tree in editor
3.) change in the right buttom windows ("header tree info") there some things:
a) "Size" to 2206
b) "Version" to 106
c) "channel Structure" to 136 and 29 (16 for ProgDVB 4.53-4.6x / 29 for ProgDVB 4.7x)
4.) Then save the new file to your destination what you want

Q: How can i convert a new channellist tree (ProgDVB 4.7x) to old version (ProgDVB 4.53) ?
A:
1.) load the "channels.dat" from the new version 4.7x in ProgEdit
2.) then switch to Mode:"Channel list tree" and load the channellist tree in editor 3.) change in the right buttom windows ("header tree info") there some things:
a) "Size" to 2188
b) "Version" to 105
c) "channel Structure" to 136 and 16 (16 for ProgDVB 4.53-4.6x / 29 for ProgDVB 4.7x)
4.) Then save the new file to your destination what you want

Q: How can i overwrite empty values from other lists without having double channels inside ? ex: PMT values
A:
This works only with ProgEdit 1.114 and newer.
1.) load your list with the partical old/empty values.
2.) then import to the channel list the other channel lists but which have the missing values inside. EX: PMT
3.) after importing you have a lot of double channels inside -> NOW:
a) activate "Overwrite empty values" and then click on "Delete double channels"
That's it.
PS: FOR EXPLAIN:
The option "Overwrite empty values" would do on deleting double channels following things:
1.) delete the double channel which have the higher number (original is the lower numbered channel)
2.) search for empty fields in original channel and look for better values in the double channel
this will be then used to insert the value in the original channel
-> and so all empty fields are filled with datas :) -> (like ex: no PMT in the orig channel but PMT in the double channel)
I hope this is clear for you :)


features

features:

+ stand-alone tool
+ 2 different modes: can manage channel list and channel list tree for ProgDVB
+ open(load list as new), import(add to old list) and save from ProgDVB channel files (*.dat)
+ open and save of ProgDVB channel tree files (*.tree)
+ open(load list as new), import(add to old list) of SatcoDX Files *NEW* Version (*.sdx) > v10 and newer
+ open(load list as new), import(add to old list) of DVB Files (*.dvb)
+ open(load list as new), import(add to old list) of Neutrino Settings (services.xml, myservices.xml)
+ open and save of Neutrino Settings (bouquets.xml)
+ save/export of free user define ASCII (txt) files from channel list + channel list tree
+ edit and display of all data's from channel list files
+ converting of the old ProgDVB channel list (*.dat) to new - also from new to old one (ProgDVB 4.53-4.8x)
+ converting of the old ProgDVB channel tree list (*.tree) to new - also from new to old one (ProgDVB 4.53-4.8x)
+ converting of ProgDVB channel list (*.dat) to Neutrino (*.xml)and reverse
+ converting of ProgDVB channel tree list (*.tree) to Neutrino (*.xml)and reverse
+ overwriting channel names with using of "ChannelNameTable.txt" which is included in ProgDVB
+ overwriting channel names with using of Neutrino files (services.xml, myservice.xml)
+ using single-select and multiple-select for changes of channel items (modify, delete)
+ disable and enable of changing text fields in multiple-select modus for modifying channel items
+ automatic numbering for channel number of selected channel items
+ automatic taking over from channel-"caption to service" or from channel-"service to caption"
+ this is also works in multiple select
+ simple sorting of channel list (single-click to "header-column)" - ascending and descending)
+ works for all channel-columns
+ simple "select all" and "deselect all" button for channel list
+ timer stopwatch function for open, saving, importing, add, modify and delete
+ changing the structure-size of Prog DVB channel list and channel list tree
+ deleting of all double channels
+ export for all types per command line options - see the ProgEdit.ini file for infos how to use ist
+ a lot of new options for "command line" user - see the ProgEdit.ini file for infos how to use ist
+ automatical loading the channel list and tree files on startup - see the ProgEdit.ini file for infos how to use ist


history

history:

ProgEdit - ProgDVB Channel Editor v.1.118 23.01.2007
+ change LNB start number from 01 to 00, because Neutrino and ProgDVB starts on LNB 0
+ small graphic fixes in channel viewlist
ProgEdit - ProgDVB Channel Editor v.1.117 22.01.2007
+ add a lot of shortcuts - see manual under shortcuts
ProgEdit - ProgDVB Channel Editor v.1.116 18.01.2007
+ import of sdx files in new and old format
+ save/export of free user define ASCII (txt) files from channel list + channel list tree
+ fix some memory leaks on channel list over 32768 channels
+ fix sorting - after import columns sorting does not work
+ speed tuning (open, save, import, checkdoublechannels, add, modify, del)
+ speed tunging on showing work positions
+ polarization new options for horizontal/vertical/left/right
+ text export field "Hor" changed to "Polar" in ProgEdit
ProgEdit - ProgDVB Channel Editor v.1.115 17.01.2007
+ new sdx format included - now more infos in sdx file -> see http://auto.satcodx.com
+ fixes for adding, importing channels
+ fixes for channel tree - adding/removing folders in trees
+ picture types on all channels
+ new function -> "check for service type"
ProgDVB will not check correct the type of channel, so i did it :)
1.) if vidpid + audpid + no crypted = video_free
2.) if vidpid + audpid + crypted = video_crypted
3.) if no vidpid + audpid + no crypted= radio_free
4.) if no vidpid + audpid + crypted= radio_crypted
5.) if no vidpid + no audpid + no crypted= data_free
6.) if no vidpid + no audpid + crypted= data_crypted
6.) if no vidpid + no audpid + crypted= data_crypted
7.) all other stuff is unknow
so you can load and save channellist and then you have the correct types in List
also the service types for neutrino automatic on loading
default value for check for double channels
+ a lot of new options in ProgEdit.ini for startup (filefixed redims of channellisting
default value for check for double channels
default value for check for service type
#Check for double channels in list
Start_CheckDoubleChannels=1
#Check for ServiceStatus of channel (TV, RADIO, DATA) and will overwrite the missing values from ProgDVB
Start_CheckServiceStatus=1
+ complete new rewrite from database - sorry - hope that i had no new bugs ...
+ optimzed open,import,save functions because pictures and checkdoublechannels need to much resources
+ rewrite the checking-double-channels founding + speed otimized, because checking all combinations of channels
+ rewrite all internal variables
+ complete rewrite of error-handling
+ fixes on displaying filesize,items,etc....
ProgEdit - ProgDVB Channel Editor v.1.114 03.01.2007
+ new option for "Delete double channels" + "Overwrite empty values"
with this option you can load channel list without correct infos and
"overload" a other list to "Overwrite empty values" in the original list and
all other channels will be then deleted with the "Delete double channels" function
+ add new parts to help file (manual, FAQ)
ProgEdit - ProgDVB Channel Editor v.1.113 03.01.2007
+ new colors for all command buttons
(light yellow for all channel list command buttons)
(light blue for all channel tree list command buttons)
+ all labels and all buttons with tooltext help messages
+ some small graphic fixes
ProgEdit - ProgDVB Channel Editor v.1.112 02.01.2007
+ new functions -> for default values in ProgEdit.ini
+ new functions -> for COMANND LINE options
+ new functions -> for "FREE DEFINE EXPORT IN ASCII TEXT FILE" for all fields and sort order as you want
+ new functions -> automatical reading channel list + tree on startup
!! for info about how to use this special features - see the ProgEdit.ini file !!
!! it's worth to take some minutes time and read the ProgEdit.ini file :) !!
ProgEdit - ProgDVB Channel Editor v.1.111 30.12.2006
+ new fields for H.264/AVC, DVB-S2, ADULT CHANNEL which are included in ProgDVB 4.80.x
+ new type of LNGSTREAM "PROG-DVB-BIN" which are included in ProgDVB 4.80.x
+ some new infos with tooltip text
+ fixes on some fields for activation index
ProgEdit - ProgDVB Channel Editor v.1.110 28.12.2006
+ fix - sometimes the AC3PID implent wasn't always read
+ fix - changes for "current audio pid" wasn't applied
+ fix - SDX files import works now again - some UINT16 vars to UINT32
+ fix - DVB files import works now with FEC and AC3 Audio PID
(i'm wondering about the DVSO DVB definition - sometimes flag to ac3 or crypt mode ??
+ try to fix FEC handling for all import types - only "FEC 0 // 1/2 // 2/3 // 3/4 // 5/6 // 7/8 //unknown" possible
ProgEdit - ProgDVB Channel Editor v.1.109 21.09.2006
+ fix - for import of dvb-files (loading AudioPid)
ProgEdit - ProgDVB Channel Editor v.1.108 25.08.2006
+ fix - overwriting with file channelnames.txt
+ fix - no new resort after adding channels to channel list
+ fix - some small bugs on channel list handling
+ fix - neutrino special chars converting
+ fix - neutrino UTF U8-Unix format for linux boxes - now it works to use it directly
ProgEdit - ProgDVB Channel Editor v.1.107 13.06.2006
+ add new column in channel list -> it shows, if a channel is not in channel list tree
ex: if you load a channel tree, then the programm will check if it is in list or not (MARK with "No" or "Yes")
ex: if you "add" a channel to channel tree -> then it will be mark with "Yes"
ex: if you "remove" a channel from channel tree -> then it will be mark with "???"
ex: because i can't know if this channel is somewhere in a other node tree, and so it is unsure
ex: if you save then the channeltree and load the channeltree once again it will check the full channeltreelist
ProgEdit - ProgDVB Channel Editor v.1.106 25.05.2006
+ new option on column "#" -> there is a small button "A", which rewrite the internal channel# as it is sorted
+ fixing bug on "add" (copy) an existing channel with all lngstream data
+ fixing display on scaling
ProgEdit - ProgDVB Channel Editor v.1.105 25.05.2006
+ fixing bug on modifying the type in lngstream on saving
+ fixing auto-position after deleting a channel in channlist-tree
ProgEdit - ProgDVB Channel Editor v.1.104 24.05.2006
+ fixing bugs for channels with 5 digits satelites
ProgEdit - ProgDVB Channel Editor v.1.103 13.05.2006
+ fixing bug on saving channel lists without having device information on achannel
ProgEdit - ProgDVB Channel Editor v.1.102 12.05.2006
+ fix sdx extension
+ add all extensions to open/save/import dialogs
ProgEdit - ProgDVB Channel Editor v.1.101 10.05.2006
+ fix on doublechannel-errorlist was't visible
+ add checkbox for enable/disable checking for doublechannels in list
ProgEdit - ProgDVB Channel Editor v.1.100 10.04.2006
+ in modus channel tree list - fix loading/saving "group by", "sort by", "TV, "Radio" and "Other"
ProgEdit - ProgDVB Channel Editor v.1.099 29.03.2006
+ in modus channel tree list - now also position to the selected channel (if channel exist in list) in both lists incl. fill out the fields
+ in modus channel tree list -> also move channels from one tree to another tree ("UP" and DOWN" button)
ProgEdit - ProgDVB Channel Editor v.1.098 11.03.2006
+ after channel select -> show/set channel lngstream to current audio pid (easier see the language)
ProgEdit - ProgDVB Channel Editor v.1.097 07.02.2006
+ new function - support for neutrino settings (services.xml, myservices.xml, bouquets.xml)
+ new function - button "new" channel list will reset to an empty database and set default valueas for header
+ new function - delete all double channels (in priority it will first delete the channel where no PCR is inside
+ new function - delete all double channels (in priority it will first delete the channel where no PCR is inside
+ warning on exit
+ "cancel" button wasn't handled correct (on all dialogs)
+ fixed import von Satco, DVB
+ fixed - delete the last channel in list was a problem>
+ some new fields for neutrino databases (they are a little bit gray)
+ new column in channel list (for channel types - TV, Radio, etc - but must make with graphic symbol in list)
+ automatic detection on open neutrino files (services.xml, myservices.xml)
+ overwrite channel names also with Neutrino (services.xml, myservices.xml) possible
+ fixed - import of *dvb files
+ fixed - a lot of problems with channel list and different versions
+ fixed - a lot of problems with channel list trees and different versions
+ new fields - support for neutrino settings (services.xml, myservices.xml, bouquets.xml)
+ new function - support for neutrino settings (services.xml, myservices.xml, bouquets.xml)
+ field PCR noiw handle in one field for all versions
+ a lot of fixes on changing and saving all datas correctly
ProgEdit - ProgDVB Channel Editor v.1.091 01.02.2006
+ fixed - double channel error list was not displayed
+ fixed - in "header tree info" name of channel tree list - have now more width for longer names
+ fixed - in "header tree" and "header tree info" all changeable options have now the old default value in inputfield
+ fixed - in "header tree" and "header tree info" all changeable options have now a check for emtpy inputs
+ fixed - all dialog for filehandling now also cancel handling and stop operation - also if it is empty
+ fixed - PMT and VIDEOPID was wrong view in the channel list
+ fixed - Import of DVB files - now works , but think .- there are not all values in this file structure.
+ fixed - saving after import will work, but i prefer to input some things per hand in the channel list after that
+ fixed - "overwriting channel names" - i made an better trim , that the tool will also work with tab delimited and
also with "blank delimited" will handle correct
ProgEdit - ProgDVB Channel Editor v.1.090 31.01.2006
+ convert from old channel list to new channel list (ProgDVB 4.53-4.7x) incl. full test (see FAQ how it works)
+ convert from new channel list to old channel list (ProgDVB 4.7x-4.53) incl. full test (see FAQ how it works)
+ convert from old channel tree list to new channel tree list (ProgDVB 4.53-4.7x) incl. full test (see FAQ how it works)
+ convert from new channel tree list to old channel tree list (ProgDVB 4.7x-4.53) incl. full test (see FAQ how it works)
+ building of complete new channel list without a base of ProgDVB file - works for all versions (ProgDVB 4.7x-4.53)
+ building of complete new channel tree list without a base of ProgDVB file - works for all versions (ProgDVB 4.7x-4.53)
+ a lot of fixes for empty files on channel list and channel tree list
ProgEdit - ProgDVB Channel Editor v.1.080 30.01.2006
+ fix a lot of errors in channel tree - now should works also for brand new channel list tree per hand
+ fix on adding multiple channels to channel list tree
+ fix on "name to service" on multiple channels
+ fix - if change an existing channel - then it wasn't in the channel list tree anymore -> fixed
+ i checked byte per byte, that the changed channel list and trees are correct like ProgDVB
+ add function "Overwriting channel names". This will overwriting names and use "ChannelNameTable.txt" (see manual for details)
+ add structure changer for channel list tree (so you can also mod an old chaannel list tree for new structure, too
+ add changing name of channel list tree
+ add changing name of channel list tree
ProgEdit - ProgDVB Channel Editor v.1.071 27.01.2006
+ fix crashing on loading channeltrees which have empty folders inside
+ fix structure if importing old an new progdvb channel lists
ProgEdit - ProgDVB Channel Editor v.1.07 26.01.2006
+ full support for ProgDVB 4.53 - 4.7x (included channeltree)
now i fixed the differents in new channel and channeltree structures
it was really crazy !!! - but anyhow - it's done !!!!
ProgEdit - ProgDVB Channel Editor v.1.062 10.01.2006
+ now you can also change the versions-number of channellist
(see above structure changer)
+ ? channeltree structure maybe also changed from prog - hmm ? - but better wait for a real stable version
of 4.7x otherwise i can make changes for almost every version
ProgEdit - ProgDVB Channel Editor v.1.061 09.01.2006
+ full include of new channel structure of ProgDVB 4.7x
(DeviceID.m_SubID // DeviceID.m_Type // DeviceID.m_DllID
ProgEdit - ProgDVB Channel Editor v.1.06 03.01.2006
+ channel tree info list
+ fix on show double-channel-error-list
+ selecting the error-channel in doublechannelerrorlist (for easier delete of channels)
+ create a new channel tree list also possible now
+ works now with new channel version (ProgDVB 4.70.x)
ProgEdit - ProgDVB Channel Editor v.1.05 29.10.2005
+ fix bug in add to channel list tree - and correct position (it was added only at the end) now it is correct position
+ fixes for error list - now you can multiselect the channels in error list , then hide the list and then you can delete the double at one time
ProgEdit - ProgDVB Channel Editor v.1.04 28.10.2005
+ new index + sort options also for error list
ProgEdit - ProgDVB Channel Editor v.1.03 28.10.2005
+ added error list - this check on load/save/import/delete/modify/add/ if channels are double in the list and if error then you can show/hide/edit the errors
+ fixes for multiple deletes - if the columns are special sorted then it delete some wrong channels
+ fixes for import of *.dvb files
ProgEdit - ProgDVB Channel Editor v.1.02 26.10.2005
+ fixes for up/down/left/right modes in channel list tree
+ fixes for import of *.dvb, *.dat files
+ all buttons now works
+ updated help-file
+ fix for different colors - handle for special *desktop color programm*
+ fixes for saving the channel-tree
+ fixes for fu..ing treeview - complete new handling and parallel db (channeltree + treeview)
ProgEdit - ProgDVB Channel Editor v.1.01 beta 20.10.2005
+ support for channellist tree - there is a new button top/left
then you get an new design"
This is only for testing - not savin of channel-lists now possible"
because something is strange in the structure. I have not finished - waiting for infos from Prog
+ import for *.dvb
+ import for *.dat (ProgDVB) -> then it will add all channels from file
and not clear the list which was before
+ updated help-file
+ fix for different colors - handle by stranger *desktop color programm*
+ extra sort of multiple lines by sortorders now also possible
ProgEdit - ProgDVB Channel Editor v.1.00 16.10.2005
+ new help-file readme, manuals, faq, ....
+ new buttons for Open+As, Save+As, import
+ structure changer
+ small "add" and "modify" with empty fields also possible
now no error if some info are missing -> the programm will filled all necc. infos or to "0"
+ fix for loading errors
+ fix on "add" and modify a channel - now also poss. with empty fields
+ cosmetik
+ the next field can also reached with "Enter-Key" -> then the next field will active and text marked
+ "all select" in list button above-left the viewlist and also if the window viewlist ist active
you can also press "a" button to select all channels in list
+ user error catching
+ end of beta phases - first final version :)
ProgEdit - ProgDVB Channel Editor v.0.80 15.10.2005
+ fix a lot things with load, save, delete, import.
+ file-info (top right - now looks fixes)
+ user-error-handling
+ "add" and "modify" with empty fields also possible
now no error if some info are missing -> the programm will filled all necc. infos or to "0"
+ fix for loading errors
+ fix on "add" and modify a channel - now also poss. with empty fields
+ cosmetik
+ the next field can also reached with "Enter-Key" -> then the next field will active and text marked
+ "all select" in list button above-left the viewlist and also if the window viewlist ist active
you can also press "a" button to select all channels in list
ProgEdit - ProgDVB Channel Editor v.0.7b 14.10.2005
+ import now possible for SATCO-files (the the file must be called "*.sdx")
sorry - but in satco there is no information about the "AC3-AUdio PID"
imported channels will be named with text in "provider" and "network" -> " Prog Edit" and "Imported"
+ cosmetik
+ fix for loading errors
+ fix on "add" a channel
i think the first version which can realy use - without an high risk to damage the channel-settings :)
i test so much and i tried all kinds of loading, saving, delete, add, modify, -> and after that always hex-compare of structure and files
all before was only for testing, helps to fix bugs, but now this seen to be STABLE !)
ProgEdit - ProgDVB Channel Editor v.0.7 14.10.2005
+ cosmetik - new arrange and design
+ cosmetik-timer for some events to measure (load, save, import, ......)
+ extra function to use the "caption 2 service" and also for other direction
now you can take the names from caption and let automatic import to the "service" -> also other direction
(there is a new field(label) between "caption" and "service" -> this you can also click and you'll see then what heppen.
this also works in multichoice
+ marked the labels there inside drark-blue) -> so you better see what you can click in multi-choise to use for changes
+ small fixes and code optimzed and better for reading for the other guys :)
ProgEdit - ProgDVB Channel Editor v.0.6g 13.10.2005
+ fix bug on load and save lists (if channels was under 40 channels then it crashed -> fixed
if you load a list and then save the listz - there were small differents - it's fixed
+ cosmetik and some informations more in the header (top right)
+ sort orders are now correct and also on search
+ "enter"-key handling for the most fields (step auto to next field, or on search -> start search and search again..)
+ ! support for old and new channel handling :
! read every byte as it is and the same format as read back (on "save")
+ also i add my channel.dat incl. (astra+hotbird) and channeltrees for: 1x favoriten, 1x provider, 1x transponder (also PPV senders renamed)
if somebody have also some good lists let me know
ProgEdit - ProgDVB Channel Editor v.0.6e 13.10.2005
+ a lot of cosmetic
+ correct the input and out fields (ac3, and pff also the crypted flag)
+ error handling
+ new design
+ cleaning some code lines
+ resize of lists
+ some things for better handling
+ bug fixes on loading, saving ... (if yyou only have 1 channel inside ProgDVB have a problem - so it is a must >2 channels in list)
! on big changes ! - you must reorganize in proggdvb the channeltrees.
! or also it is possible, after BIG changes (import or add much senders) -> that you have to switch at first to a channel.
! and then you can open the channel-proberty window without an crash
! i think this is a problem of lastchannel-actived in progdvb and there is no error handling ... maybe ..:)
! if you don't delete "the last activeed channel" then this problem is not happen :)
! -> SO after big changes -> on first start progdvb -> switch to a channel :)
ProgEdit - ProgDVB Channel Editor v.0.6b 12.10.2005
+ a lot of cosmetic
+ cosmetic arange for search and import function
+ order from all fields ...
+ cleaning some code lines
+ resize of list - rebuild
ProgEdit - ProgDVB Channel Editor v.0.6a 12.10.2005
+ load also old and new formats of channels
+ autochannel number
(if you marke some channels you can input the starting number in channel field and click before to the
channel-label til it is changed to "AutChan" then it will change the numbers from start number and the mext one + 1)
+ error handling on load lists
+ "ADD" -> also it is possible to "add" new channels - also on complete empty lists
ProgEdit - ProgDVB Channel Editor v.0.5a 12.10.2005
Changes: 0.5a - (basis 0.4b DarkFritz - mods from camel)
+ multiple choice
.) modifications on multiple channels
all fields which are active will changed if you click on modify
(there you can click on the labels to active it)
All fields which are active will changed also in selected multiple channels choice.
Ex: "if you want to change 5 channels and there you want only to change the Provider"
1.) mark your 5 channels (CRTL or with SHIFT first and last mark - like MS windows)
2.) click the label "Provider" (then the field “Provider” is active and you can change the name there
3.) click on button "modify"
.) delete on multiple channels
only mark all channels and then press "delete"
+ list complete with some good infos
+ sorting of the list
+ a lot of cosmetic - field orders and so on ....
ProgEdit - ProgDVB Channel Editor v.0.5a 12.10.2005

SOME IDEAS - TODO:
NEW:
Double channel error list - maybe an option where all double channels can easy deleted
Symbol/Icon in List for TV Free, TV scramble, Radio Free, Radio Scamble, Other Free, Other Scrambled
Import of NEUTRINO + NEUTRINO BOUQETS(channeltree), normal ascii file with delimited ";" ASCII
Saving under DVB, SATCO, NEUTRINO, NEUTRINO BOUQETS(channeltree), normal ascii file with delimited ";"

EXTRAS:
ChannelNameTable.txt full filling of "empty channels" and "NoName" for ASTRA/HOTBIRD
building new channel list and channel tree for ASTRA/HOTBIRD


manual

manual:

Modes "Channel Manager" or "Channel Tree Manager"

in the top left you have an button to switch between the 2 modes
button "Mode". Mode "Channel - Manager" is for editing the channels and mode "Channeltree - Manager" is for arrange the channellist (like favorites or bouqets in other TV viewer programms)

Mode: Channel - Manager:

main buttons:

in the top you have there buttons for "Open" "As" and "Save" "As" and "Import" "As" the buttons: "Open" , "Save" and "Import" would load directly the filename which is above in the text field. "As" buttons will open the browser window where you can select the filename to be used for the operation.
The "Import" function have some special for *.dat files also. With that button you can "add" all channels from another *.dat (ProgDVB) to your list which you have in your list before importing (like add all channels).

header info:

there you'll see information about the header of the file which you are loaded
ID: ident number of the file
Version: version number of Prog DVB channel file
Structure: structure byte length of one set of channel item - this can also be clickable
No/Size: number of channel items / size of file in byte
Status: status of operation: OK/busy/error
below there you see the time how long it takes for operations in seconds

channel list:

in the middle of the program you will se the list of channels
Selecting channels :
single select: you can use single "CLICK" with your mouse
all values will be filled out in the text fields below from selected channel

multiple select:
channel select can done with: <CRTL> and <LEFTMOUSE_BUTTON>
or
to select a range of channel: select first channel with <LEFTMOUSE_BUTTON>
and then go to the other channel and hold key <SHIFT> and then click <LEFTMOUSE_BUTTON>
! Don't be shocked - if all "text-fields are marked as disabled.
! You'll be read deeper about how to use it then under section: Action-Buttons: Modify

select all:
you can click the "Select All" button for all channels in list(on the left side above)
sorting the list:
onyl click to the colum what you want to sort. Another click will sort the list descending or ascending. If you want multiorder sorting (ex: first order sorting should be column3 and then 6. Then you have to click on column6 and then on column 3, then you get the result what you want

error channel list:

After open/save/import/delete/modify/add/modify will be checked for double channels in list.
If the check found some double channels in list, then it show you a list of all errors.
Then you can select the problems cand can correct it. Also you can ignore all errors and continue and can hide the list with the button below
The extra option "Overwrite empty values" would do on deleting double channels following things:
1.) delete the double channel which have the higher number (original is the lower numbered channel)
2.) search for empty fields in original channel and look for better values in the double channel
this will be then used to insert the value in the original channel
-> and so all empty fields are filled with datas :) -> (like ex: no PMT in the orig channel but PMT in the double channel)
I hope this is clear or read also in the FAQ listan example

text fields:

there you can input/change the values which you want.
! with "TAB" or "ENTER" you will step to the next text-field
! Hint: Labels which have text with blue colour(desktop colour) have an action like a button !
extras:
“automatic numbering of selected channels and starting from specified number”:
To do: Select all channels which you want for automatic numbering. Then all "Text-Fields" will be marked as "disable".
Then "click" on the label of "Channel#" it will change the text field "Channel#" enabled.
Then "click once again on the label of "Channel#" and now the Text of the label will also changed to text "AutoCh"
Then you can input the start value for automatic numbering
Now you can click on button "Modify" and it would done for all selected channels.
“Caption to Service" or "Service to Caption":
You can use it for take the value from “caption” to “service” and reverse.
To do: Select all channels which you want to change. Then all "text fields" will be "disable".
Then "click" the label of "Capt./Serv. off". It will change the text in field to "Capt. >> Serv."
After that another "click" on the label "Capt. >> Serv." it will change to "Serv. << Capt."
The “>>” or “<<” show you the direction. If you have choose the direction then you can click on button "Modify" and it would done for all selected channels.

action buttons:

above the text fields you'll see there a button for:
"Overwriting channellist":
There you have the chance to overwrite the channel name (caption) from database.
You'll be asked for "ChannelNameTable.txt" (.txt file). An example file + format is in the original ProgDVB included.
below the text fields you'll see there some buttons for:
"Search":
Then it search for text which is input in “text field” on the left. It will try to find the search text in all fields and will set the selected item to this position and also fill up the text fields with the values of the channel.
! Hint : If you input the search text and press "ENTER" key it will start the search also. The next “ENTER" will search again in the list and so on ... "Again Search": This will search again with the old value of search text
"Delete":
will delete all selected channels from database.
"Modify":
will modify the selected channel with the data from the "text fields" ! Extra-Hint ! "multiple modifying of selected channels" for this make your choice of channels. Then the text fields will disabled. now you can click on the labels of the text fields to enable your "text field" which you want to change for all channels and then you can input your text. then click on "Modify" to change for all selected channels the same value as in text field. "Add": will add 1 channel with the value of text fields to the list.

lngstream box:

There you can input for every 40 streams different types of values(Language,CA,AC3,TXT,and so on...) and then press the "Apply" button to add/modify the selected stream.

changing the channel-structure:

if you want to change the value for data-structure - then click on the label "Structure"
then you can input your wanted value: minimum must be 863
Maybe it could be practical for future versions of Prog DVB to change the structure for new version.
Prog DVB version 4.53 it was 863 Byte per Channel in database
version 4.56 it was 868 Byte per Channel in database
version 4.60 it was 868 Byte per Channel in database
Normally it is not necessary to change this.

Mode: Channel Tree - Manager:

main buttons:

It is very important to load the channels.dat and do not modify the channels or you will have there inside some *unknown channles* !

Also you have there buttons for "Open"(load) "As" and "Save" "As". "Open" and "Save" would load directly the filename which is in the field above. "As" buttons open a browser window where you can select the filename to be used for the operation.

in the top you have there buttons for "Open" "As" and "Save" "As" and "Import" "As" the buttons: "Open" , "Save" and "Import" would open a browser window where you can select the filename to be used for the operation the buttons: "As" would open the file which is named in the text field "file-name" below and start the operation directly

header info:

there you'll see information about the header of the file which you are loaded
ID: ident number of the file
Version: version number of Prog DVB channel file
Structure: structure byte length of one set of channel item - this can also be clickable
No/Size: number of channel items / size of file in byte
Status: status of operation: OK/busy/error
below there you see the time how long it takes for operations in seconds

channel list:

on the left side the channel list is smaller and can also be normal handle to edit/search channels like the *channel list" mode.

treeview:

There you have the structure of channel list tree. These are only links to channels which are in the channel list (channel.dat)
So - if you delete a channel in the list on the left side and you have made a *link* in channel list tree - then it would be missing.
! If you see there *Not found in channel list ....* then the channel link is not exist in the channel list (on the left side - channel.dat) !
! Then reload the channel.dat once again and then open (reload) the channel list tree again !

action buttons:

in the middle (between the two lists) there you have 4 direction buttons for:

"Up":
Select the node in the tree which you want to move up and then click *Up* button. Then it will be moved to upper position
"Down":
Select the node in the tree which you want to move down and then click *Down* button. Then it will be moved to lower position
"Right" (add selected channels to tree list):
Select in the left list all channels which you want to add to the channel list tree. Then take in the tree list the position where the channels should be added and then click *Right* button. Then all channel will be added to your tree list
"Left"(delete selected channel from tree list):
Select the channel in the tree list which you want to delete/remove from the list and then press *Left* button. Then it will be removed/deleted from the channel tree list
Also you can made the same with an *folder* and all included channels will also be removed.
Only the links will be removed from the channel tree list.

changing the channeltree-structure:

if you want to change the value for data-structure - then click on the label "Structure"
Maybe it could be practical for future versions of Prog DVB to change the structure for new version.
This options should only used if you know what you are doing
Normally it is not necessary to change this.

changing the name of channel list tree:

If you want to change the name then only click on the label *name* and then you can input another name


requirements

requirements:

    .) Windows 98/2000/NT/ME/XP
    .) .NET Framework 1.1 or higher


shortcuts

Shortcuts:

<F1> = open help manual
<CRTL> + <1> = sort list for column 1 (press twice for sort order descend or ascend)
until
<CRTL> + <9> = sort list for column 9 (press twice for sort order descend or ascend)
<CRTL> + <0> = sort list for column 10 (press twice for sort order descend or ascend)
<1> = sort list for column 1 (if you have focus on channellist, press twice for sort order descend or ascend)
until
<9> = sort list for column 9 (if you have focus on channellist, press twice for sort order descend or ascend)
<CRTL> + <0> = sort list for column 10 (if you have focus on channellist, press twice for sort order descend or ascend)
<CTRL> + <A> = select all channels in list
<A> = select all channels in list (if the focus is set to channellist)
<CRTL> + <DEL> = delete selected channels
<DEL> = delete selected channels (if the focus is set to channel list)
<CRTL> + <INS> = add new channel to list
<INS> = add new channel to list (if the focus is set to channel list))
<CRTL> + <X> = delete selected channels
<CTRL> + <V> = add new channel to list
<CRTL> + <M> = modify the selected channels
<CRTL> + <P> = apply LngStream data to database
<CRTL> + <F> = search in channel list for the text which is in the search text field
<CRTL> + <O> = open/load channel list
<CRTL> + <S> = save channel list


support

support:

    .) Prog DVB channel files (*.dat) from version 4.53 - 4.8x and newer
    .) Prog DVB channellist (tree) files (*.tree) from version 4.53 - 4.8x and newer
    .) DVB channel files (*.dvb) example: from www.dxandy.de
    .) SatcoDX channel files (*.sdx) all version numbers -> example: from auto.satcodx.com
    .) Neutrino channellist (services.xml and myservices.xml) wiki.tuxbox.org/Services.xml
    .) Neutrino channellist tree (bouquets.xml) wiki.tuxbox.org/Services.xml
    .) Overwriting of channel names with file "ChannelNameTable.txt" (included on every ProgDVB)
    .) Overwriting of channel names with Neutrino settings (services.xml and myservices.xml)
    .) Export of free user define ASCII (txt) files from channel list + channel list tree
    .) Deleting of all double channels
    .) Automatic calculate type of channels (TV, RADIO, DATA, CRYPTED,...)
    .) Automatic export of free user define ASCII (txt) files from channel list + channel list treeper command line
    .) Default start parameter -> see ProgEdit.ini
    .) Command line options -> see ProgEdit.ini for details